Summary: Nautilus extension for customizing the context menu
Name:    nautilus-actions
Version: 1.4.1
Release: 1%{?dist}
Group:   User Interface/Desktops
License: GPL
URL:     http://www.grumz.net/node/8
Source0: http://www.grumz.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgnomeui-devel, libglade2-devel, nautilus
BuildRequires: e2fsprogs-devel, gettext, perl(XML::Parser)
BuildRequires: desktop-file-utils
Requires(pre): GConf2
Requires(preun): GConf2

%description
Nautilus actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface

%prep
%setup -q

%build
%configure --disable-schemas-install --enable-commandline-tool \
           --with-nautilus-extdir=%{_libdir}/nautilus/extensions-1.0
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-1.0/libnautilus-actions.la
rm -rf %{buildroot}%{_datadir}/applications/fedora-nact.desktop

desktop-file-install --delete-original                   \
        --vendor fedora                                  \
        --dir %{buildroot}%{_datadir}/applications       \
	--mode 0644				         \
        --add-category X-Fedora                          \
        %{buildroot}%{_datadir}/applications/nact.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ -s %{_sysconfdir}/gconf/schemas/config_newaction.schemas ]; then 
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi
fi

%preun
if [ -s %{_sysconfdir}/gconf/schemas/config_newaction.schemas ]; then
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas > /dev/null || :
    gconftool-2 --recursive-unset /apps/nautilus-actions
    gconftool-2 --recursive-unset /schemas/apps/nautilus-actions
    killall -HUP gconfd-2 || :
fi
fi

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/nautilus-actions-config
%{_bindir}/nautilus-actions-convert
%{_bindir}/nautilus-actions-new-config
%{_libdir}/nautilus/extensions-1.0/libnautilus-actions.so
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/nautilus-actions.*
%{_datadir}/applications/fedora-nact.desktop

%changelog
* Wed May 30 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-1
- New (bug-fix) release

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-3
- Fix issue with nautilus-action-config, bug #205967

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-2
- Add BRs on gettext and perl(XML::Parser)

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to version 1.4

* Mon May 01 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-1
- Update to version 1.2
- Make sure fix for upgrade from ver. < 1.0 doesn't throw up errors

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
